Bug 518558 - ON_QA bugs listed as "In progress" rather than "Retest" on My Front Page
Summary: ON_QA bugs listed as "In progress" rather than "Retest" on My Front Page
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.2
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 21:38 UTC by Allen Kistler
Modified: 2013-06-24 04:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-24 04:09:51 UTC


Attachments (Terms of Use)

Description Allen Kistler 2009-08-20 21:38:41 UTC
Description of problem:
"My Front Page" lists Open bugs in the ON_QA state as "In Progress Reported by You."  Considering the meaning of the state, it probably makes more sense to include ON_QA bugs in "Retest."

Version-Release number of selected component (if applicable):
3.2.3+

How reproducible:
Always

Steps to Reproduce:
1. Have a bug reported by you in the ON_QA state
2. Got to "My Front Page"
  
Actual results:
ON_QA bugs are listed as "In progress"

Expected results:
ON_QA bugs should probably be listed as Retest, considering that bodhi sets Fedora reports to ON_QA when the candidate fix is pushed to updates-testing.  I believe that behavior would be desirable for RHEL, too.

Additional info:
This report, or its resolution, may affect Bug 452560.

Comment 1 David Lawrence 2009-08-21 21:07:54 UTC
I have gotten approval for this change from others internally who use the ON_QA state for different purposes so I will move it to the Retest list.

Another question is several of the other front page lists are basically listing bugs in any 'open' state of which ON_QA is considered one. So should it be removed then from the other lists and only show up in Retest or should it be allowed to show up in more than one list. 

Internally for our errata process the bug goes into ON_QA initially when a developer is ready for the bug to be verified fixed. The bug would be considered an inprogress open bug. If the qa person finds an issue then the bug goes back to ASSIGNED. When the developer fixes the issue or other, they put it back to ON_QA. Then it would be considered a Retest in that scenario.

Moving the ON_QA to the Retest list is a simple fix, just curious how other processes will be affected if I remove ON_QA from other lists as well.

Dave

Comment 2 Allen Kistler 2009-08-21 21:54:20 UTC
For all the categories other than "In Progress" where ON_QA bugs are already listed, I think it makes sense to keep them there.

The only other one worth considering might be "Open Issues: Assigned to You."  Once package developers have pushed a fix to testing, they might want the report off their radar (until and if it comes back at them).  OTOH, if they *do* want to track it, there's no other place on the Front Page that *would* track it.  Of course, all that assumes that package developers use the Front Page.  They might write their own queries and use them exclusively.

Anyway, I'd be inclined to leave it unless somebody else explicitly wants it gone.

In the meantime, I find My Front Page quite useful.
So thanks for the maintenance, in case that didn't come through before.

Comment 3 David Lawrence 2009-08-24 04:09:51 UTC
I have added ON_QA to the Retest bug list in our SVN repository. The change should show up in the next code update this week.

Dave


Note You need to log in before you can comment on or make changes to this bug.